diff --git a/doc/src/sgml/sepgsql.sgml b/doc/src/sgml/sepgsql.sgml
index ddac6253557..02439b52870 100644
--- a/doc/src/sgml/sepgsql.sgml
+++ b/doc/src/sgml/sepgsql.sgml
@@ -22,7 +22,7 @@
    </para>
  </warning>
 
- <sect2 id="sepgsql-overview">
+ <sect2 id="sepgsql-overview" xreflabel="Overview">
   <title>Overview</title>
 
   <para>
@@ -57,7 +57,7 @@
   </para>
 
  </sect2>
- <sect2 id="sepgsql-installation">
+ <sect2 id="sepgsql-installation" xreflabel="Installation">
   <title>Installation</title>
 
   <para>
@@ -148,7 +148,7 @@ $ for DBNAME in template0 template1 postgres; do
   </para>
  </sect2>
 
- <sect2 id="sepgsql-regression">
+ <sect2 id="sepgsql-regression" xreflabel="Regression Tests">
   <title>Regression Tests</title>
 
   <para>
@@ -269,7 +269,7 @@ $ sudo semodule -r sepgsql-regtest
 </screen>
  </sect2>
 
- <sect2 id="sepgsql-parameters">
+ <sect2 id="sepgsql-parameters" xreflabel="GUC Parameters">
   <title>GUC Parameters</title>
 
   <variablelist>
@@ -328,9 +328,9 @@ $ sudo semodule -r sepgsql-regtest
   </variablelist>
  </sect2>
 
- <sect2 id="sepgsql-features">
+ <sect2 id="sepgsql-features" xreflabel="Features">
   <title>Features</title>
-  <sect3 id="sepgsql-features-controlled-obj-classes">
+  <sect3 id="sepgsql-features-controlled-obj-classes" xreflabel="Controlled Object Classes">
    <title>Controlled Object Classes</title>
    <para>
     The security model of <productname>SELinux</productname> describes all the access
@@ -363,7 +363,7 @@ $ sudo semodule -r sepgsql-regtest
    </para>
   </sect3>
 
-  <sect3 id="sepgsql-features-dml-permissions">
+  <sect3 id="sepgsql-features-dml-permissions" xreflabel="DML Permissions">
    <title>DML Permissions</title>
 
    <para>
@@ -447,7 +447,7 @@ UPDATE t1 SET x = 2, y = func1(y) WHERE z = 100;
    </para>
   </sect3>
 
-  <sect3 id="sepgsql-features-ddl-permissions">
+  <sect3 id="sepgsql-features-ddl-permissions" xreflabel="DDL Permissions">
    <title>DDL Permissions</title>
    <para>
     <productname>SELinux</productname> defines several permissions to control common
@@ -538,7 +538,7 @@ UPDATE t1 SET x = 2, y = func1(y) WHERE z = 100;
 
   </sect3>
 
-  <sect3 id="sepgsql-features-trusted-procedures">
+  <sect3 id="sepgsql-features-trusted-procedures" xreflabel="Trusted Procedures">
    <title>Trusted Procedures</title>
    <para>
     Trusted procedures are similar to security definer functions or setuid
@@ -594,7 +594,7 @@ postgres=# SELECT cid, cname, show_credit(cid) FROM customer;
    </para>
   </sect3>
 
-  <sect3 id="sepgsql-features-dynamic-domain-transitions">
+  <sect3 id="sepgsql-features-dynamic-domain-transitions" xreflabel="Dynamic Domain Transitions">
    <title>Dynamic Domain Transitions</title>
    <para>
     It is possible to use SELinux's dynamic domain transition feature
@@ -656,7 +656,7 @@ ERROR:  SELinux: security policy violation
    </para>
   </sect3>
 
-  <sect3 id="sepgsql-features-misc">
+  <sect3 id="sepgsql-features-misc" xreflabel="Miscellaneous">
    <title>Miscellaneous</title>
    <para>
     We reject the <link linkend="sql-load"><command>LOAD</command></link> command across the board, because
@@ -666,7 +666,7 @@ ERROR:  SELinux: security policy violation
   </sect3>
 </sect2>
 
- <sect2 id="sepgsql-functions">
+ <sect2 id="sepgsql-functions" xreflabel="Sepgsql Functions">
   <title>Sepgsql Functions</title>
   <para>
    <xref linkend="sepgsql-functions-table"/> shows the available functions.
@@ -748,7 +748,7 @@ ERROR:  SELinux: security policy violation
   </table>
  </sect2>
 
- <sect2 id="sepgsql-limitations">
+ <sect2 id="sepgsql-limitations" xreflabel="Limitations">
   <title>Limitations</title>
 
   <variablelist>
@@ -799,7 +799,7 @@ ERROR:  SELinux: security policy violation
   </variablelist>
  </sect2>
 
- <sect2 id="sepgsql-resources">
+ <sect2 id="sepgsql-resources" xreflabel="External Resources">
   <title>External Resources</title>
   <variablelist>
    <varlistentry>
@@ -834,7 +834,7 @@ ERROR:  SELinux: security policy violation
   </variablelist>
  </sect2>
 
- <sect2 id="sepgsql-author">
+ <sect2 id="sepgsql-author" xreflabel="Author">
   <title>Author</title>
   <para>
    KaiGai Kohei <email>kaigai@ak.jp.nec.com</email>
diff --git a/doc/src/sgml/sourcerepo.sgml b/doc/src/sgml/sourcerepo.sgml
index f4368e83ab3..413b2c08034 100644
--- a/doc/src/sgml/sourcerepo.sgml
+++ b/doc/src/sgml/sourcerepo.sgml
@@ -16,7 +16,7 @@
   has some discussion on working with Git.
  </para>
 
- <sect1 id="git">
+ <sect1 id="git" xreflabel="Getting the Source via Git">
   <title>Getting the Source via <productname>Git</productname></title>
 
   <para>
diff --git a/doc/src/sgml/sources.sgml b/doc/src/sgml/sources.sgml
index 760f9b69d47..59f9783a14a 100644
--- a/doc/src/sgml/sources.sgml
+++ b/doc/src/sgml/sources.sgml
@@ -3,7 +3,7 @@
  <chapter id="source">
   <title>PostgreSQL Coding Conventions</title>
 
-  <sect1 id="source-format">
+  <sect1 id="source-format" xreflabel="Formatting">
    <title>Formatting</title>
 
    <para>
@@ -86,7 +86,7 @@ less -x4
    </para>
   </sect1>
 
-  <sect1 id="error-message-reporting">
+  <sect1 id="error-message-reporting" xreflabel="Reporting Errors Within the Server">
    <title>Reporting Errors Within the Server</title>
 
    <indexterm>
@@ -438,7 +438,7 @@ ereport(level, errmsg_internal("format string", ...));
    </para>
   </sect1>
 
-  <sect1 id="error-style-guide">
+  <sect1 id="error-style-guide" xreflabel="Error Message Style Guide">
    <title>Error Message Style Guide</title>
 
    <para>
@@ -901,7 +901,7 @@ BETTER: unrecognized node type: 42
 
   </sect1>
 
-  <sect1 id="source-conventions">
+  <sect1 id="source-conventions" xreflabel="Miscellaneous Coding Conventions">
    <title>Miscellaneous Coding Conventions</title>
 
    <simplesect id="source-conventions-c-standard">
diff --git a/doc/src/sgml/spgist.sgml b/doc/src/sgml/spgist.sgml
index 6af93719b84..a070b640417 100644
--- a/doc/src/sgml/spgist.sgml
+++ b/doc/src/sgml/spgist.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/spgist.sgml -->
 
-<sect1 id="spgist">
+<sect1 id="spgist" xreflabel="SP-GiST Indexes">
 <title>SP-GiST Indexes</title>
 
    <indexterm>
@@ -8,7 +8,7 @@
     <secondary>SP-GiST</secondary>
    </indexterm>
 
-<sect2 id="spgist-intro">
+<sect2 id="spgist-intro" xreflabel="Introduction">
  <title>Introduction</title>
 
  <para>
@@ -53,7 +53,7 @@
 
 </sect2>
 
-<sect2 id="spgist-builtin-opclasses">
+<sect2 id="spgist-builtin-opclasses" xreflabel="Built-in Operator Classes">
  <title>Built-in Operator Classes</title>
 
  <para>
@@ -193,7 +193,7 @@
 
 </sect2>
 
-<sect2 id="spgist-extensibility">
+<sect2 id="spgist-extensibility" xreflabel="Extensibility">
  <title>Extensibility</title>
 
  <para>
@@ -935,7 +935,7 @@ LANGUAGE C STRICT;
 
 </sect2>
 
-<sect2 id="spgist-implementation">
+<sect2 id="spgist-implementation" xreflabel="Implementation">
  <title>Implementation</title>
 
   <para>
@@ -944,7 +944,7 @@ LANGUAGE C STRICT;
    know.
   </para>
 
- <sect3 id="spgist-limits">
+ <sect3 id="spgist-limits" xreflabel="SP-GiST Limits">
   <title>SP-GiST Limits</title>
 
   <para>
@@ -993,7 +993,7 @@ LANGUAGE C STRICT;
   </para>
  </sect3>
 
- <sect3 id="spgist-null-labels">
+ <sect3 id="spgist-null-labels" xreflabel="SP-GiST Without Node Labels">
   <title>SP-GiST Without Node Labels</title>
 
   <para>
@@ -1020,7 +1020,7 @@ LANGUAGE C STRICT;
   </para>
  </sect3>
 
- <sect3 id="spgist-all-the-same">
+ <sect3 id="spgist-all-the-same" xreflabel="All-the-Same Inner Tuples">
   <title><quote>All-the-Same</quote> Inner Tuples</title>
 
   <para>
@@ -1060,7 +1060,7 @@ LANGUAGE C STRICT;
 
 </sect2>
 
-<sect2 id="spgist-examples">
+<sect2 id="spgist-examples" xreflabel="Examples">
  <title>Examples</title>
 
  <para>
diff --git a/doc/src/sgml/spi.sgml b/doc/src/sgml/spi.sgml
index e30d0962ae7..0bdb7f42500 100644
--- a/doc/src/sgml/spi.sgml
+++ b/doc/src/sgml/spi.sgml
@@ -51,7 +51,7 @@
  </para>
 
 
-<sect1 id="spi-interface">
+<sect1 id="spi-interface" xreflabel="Interface Functions">
  <title>Interface Functions</title>
 
  <refentry id="spi-spi-connect">
@@ -3663,7 +3663,7 @@ int SPI_register_trigger_data(TriggerData *<parameter>tdata</parameter>)
 
 </sect1>
 
-<sect1 id="spi-interface-support">
+<sect1 id="spi-interface-support" xreflabel="Interface Support Functions">
  <title>Interface Support Functions</title>
 
  <para>
@@ -4294,7 +4294,7 @@ const char * SPI_result_code_string(int <parameter>code</parameter>);
 
  </sect1>
 
- <sect1 id="spi-memory">
+ <sect1 id="spi-memory" xreflabel="Memory Management">
   <title>Memory Management</title>
 
   <para>
@@ -5018,7 +5018,7 @@ int SPI_freeplan(SPIPlanPtr <parameter>plan</parameter>)
 
  </sect1>
 
- <sect1 id="spi-transaction">
+ <sect1 id="spi-transaction" xreflabel="Transaction Management">
   <title>Transaction Management</title>
 
   <para>
@@ -5185,7 +5185,7 @@ void SPI_start_transaction(void)
 
  </sect1>
 
- <sect1 id="spi-visibility">
+ <sect1 id="spi-visibility" xreflabel="Visibility of Data Changes">
   <title>Visibility of Data Changes</title>
 
   <para>
@@ -5245,7 +5245,7 @@ INSERT INTO a SELECT * FROM a;
   </para>
  </sect1>
 
- <sect1 id="spi-examples">
+ <sect1 id="spi-examples" xreflabel="Examples">
   <title>Examples</title>
 
   <para>
diff --git a/doc/src/sgml/sslinfo.sgml b/doc/src/sgml/sslinfo.sgml
index 85d49f66537..55a62063536 100644
--- a/doc/src/sgml/sslinfo.sgml
+++ b/doc/src/sgml/sslinfo.sgml
@@ -25,7 +25,7 @@
   configured with <literal>--with-ssl=openssl</literal>.
  </para>
 
- <sect2 id="sslinfo-functions">
+ <sect2 id="sslinfo-functions" xreflabel="Functions Provided">
   <title>Functions Provided</title>
 
   <variablelist>
@@ -243,7 +243,7 @@ emailAddress
   </variablelist>
  </sect2>
 
- <sect2 id="sslinfo-author">
+ <sect2 id="sslinfo-author" xreflabel="Author">
   <title>Author</title>
 
   <para>
diff --git a/doc/src/sgml/start.sgml b/doc/src/sgml/start.sgml
index 0263a700591..c1acf79fdd4 100644
--- a/doc/src/sgml/start.sgml
+++ b/doc/src/sgml/start.sgml
@@ -3,7 +3,7 @@
  <chapter id="tutorial-start">
   <title>Getting Started</title>
 
-  <sect1 id="tutorial-install">
+  <sect1 id="tutorial-install" xreflabel="Installation">
    <title>Installation</title>
 
    <para>
@@ -52,7 +52,7 @@
   </sect1>
 
 
-  <sect1 id="tutorial-arch">
+  <sect1 id="tutorial-arch" xreflabel="Architectural Fundamentals">
    <title>Architectural Fundamentals</title>
 
    <para>
@@ -121,7 +121,7 @@
   </sect1>
 
 
-  <sect1 id="tutorial-createdb">
+  <sect1 id="tutorial-createdb" xreflabel="Creating a Database">
    <title>Creating a Database</title>
 
    <indexterm zone="tutorial-createdb">
@@ -273,7 +273,7 @@ createdb: error: database creation failed: ERROR:  permission denied to create d
   </sect1>
 
 
-  <sect1 id="tutorial-accessdb">
+  <sect1 id="tutorial-accessdb" xreflabel="Accessing a Database">
    <title>Accessing a Database</title>
 
    <indexterm zone="tutorial-accessdb">
diff --git a/doc/src/sgml/storage.sgml b/doc/src/sgml/storage.sgml
index 02ddfda834a..2e91f070cbf 100644
--- a/doc/src/sgml/storage.sgml
+++ b/doc/src/sgml/storage.sgml
@@ -9,7 +9,7 @@ This chapter provides an overview of the physical storage format used by
 <productname>PostgreSQL</productname> databases.
 </para>
 
-<sect1 id="storage-file-layout">
+<sect1 id="storage-file-layout" xreflabel="Database File Layout">
 
 <title>Database File Layout</title>
 
@@ -303,7 +303,7 @@ where <replaceable>PPP</replaceable> is the PID of the owning backend and
 
 </sect1>
 
-<sect1 id="storage-toast">
+<sect1 id="storage-toast" xreflabel="TOAST">
 
 <title>TOAST</title>
 
@@ -404,7 +404,7 @@ useful for avoiding copying and redundant processing of large data values.
 Further details appear in <xref linkend="storage-toast-inmemory"/>.
 </para>
 
-<sect2 id="storage-toast-ondisk">
+<sect2 id="storage-toast-ondisk" xreflabel="Out-of-Line, On-Disk TOAST Storage">
  <title>Out-of-Line, On-Disk TOAST Storage</title>
 
 <para>
@@ -519,7 +519,7 @@ comparison table, in which all the HTML pages were cut down to 7 kB to fit.
 
 </sect2>
 
-<sect2 id="storage-toast-inmemory">
+<sect2 id="storage-toast-inmemory" xreflabel="Out-of-Line, In-Memory TOAST Storage">
  <title>Out-of-Line, In-Memory TOAST Storage</title>
 
 <para>
@@ -592,7 +592,7 @@ tuple would otherwise be too big.
 
 </sect1>
 
-<sect1 id="storage-fsm">
+<sect1 id="storage-fsm" xreflabel="Free Space Map">
 
 <title>Free Space Map</title>
 
@@ -635,7 +635,7 @@ can be used to examine the information stored in free space maps.
 
 </sect1>
 
-<sect1 id="storage-vm">
+<sect1 id="storage-vm" xreflabel="Visibility Map">
 
 <title>Visibility Map</title>
 
@@ -681,7 +681,7 @@ information stored in the visibility map.
 
 </sect1>
 
-<sect1 id="storage-init">
+<sect1 id="storage-init" xreflabel="The Initialization Fork">
 
 <title>The Initialization Fork</title>
 
@@ -699,7 +699,7 @@ erased (they will be recreated automatically as needed).
 
 </sect1>
 
-<sect1 id="storage-page-layout">
+<sect1 id="storage-page-layout" xreflabel="Database Page Layout">
 
 <title>Database Page Layout</title>
 
@@ -946,7 +946,7 @@ data. Empty in ordinary tables.</entry>
   </mediaobject>
  </figure>
 
- <sect2 id="storage-tuple-layout">
+ <sect2 id="storage-tuple-layout" xreflabel="Table Row Layout">
 
  <title>Table Row Layout</title>
 
@@ -1077,7 +1077,7 @@ data. Empty in ordinary tables.</entry>
  </sect2>
 </sect1>
 
-<sect1 id="storage-hot">
+<sect1 id="storage-hot" xreflabel="Heap-Only Tuples (HOT)">
 
  <title>Heap-Only Tuples (<acronym>HOT</acronym>)</title>
 
diff --git a/doc/src/sgml/syntax.sgml b/doc/src/sgml/syntax.sgml
index 34c83880a66..9b81ac38bb8 100644
--- a/doc/src/sgml/syntax.sgml
+++ b/doc/src/sgml/syntax.sgml
@@ -21,7 +21,7 @@
   specific to <productname>PostgreSQL</productname>.
  </para>
 
- <sect1 id="sql-syntax-lexical">
+ <sect1 id="sql-syntax-lexical" xreflabel="Lexical Structure">
   <title>Lexical Structure</title>
 
   <indexterm>
@@ -78,7 +78,7 @@ INSERT INTO MY_TABLE VALUES (3, 'hi there');
    precise syntax rules for each command are described in <xref linkend="reference"/>.
   </para>
 
-  <sect2 id="sql-syntax-identifiers">
+  <sect2 id="sql-syntax-identifiers" xreflabel="Identifiers and Key Words">
    <title>Identifiers and Key Words</title>
 
    <indexterm zone="sql-syntax-identifiers">
@@ -273,7 +273,7 @@ U&amp;"d!0061t!+000061" UESCAPE '!'
   </sect2>
 
 
-  <sect2 id="sql-syntax-constants">
+  <sect2 id="sql-syntax-constants" xreflabel="Constants">
    <title>Constants</title>
 
    <indexterm zone="sql-syntax-constants">
@@ -290,7 +290,7 @@ U&amp;"d!0061t!+000061" UESCAPE '!'
     subsections.
    </para>
 
-   <sect3 id="sql-syntax-strings">
+   <sect3 id="sql-syntax-strings" xreflabel="String Constants">
     <title>String Constants</title>
 
     <indexterm zone="sql-syntax-strings">
@@ -336,7 +336,7 @@ SELECT 'foo'      'bar';
     </para>
    </sect3>
 
-   <sect3 id="sql-syntax-strings-escape">
+   <sect3 id="sql-syntax-strings-escape" xreflabel="String Constants with C-Style Escapes">
     <title>String Constants with C-Style Escapes</title>
 
      <indexterm zone="sql-syntax-strings-escape">
@@ -467,7 +467,7 @@ SELECT 'foo'      'bar';
     </para>
    </sect3>
 
-   <sect3 id="sql-syntax-strings-uescape">
+   <sect3 id="sql-syntax-strings-uescape" xreflabel="String Constants with Unicode Escapes">
     <title>String Constants with Unicode Escapes</title>
 
     <indexterm  zone="sql-syntax-strings-uescape">
@@ -545,7 +545,7 @@ U&amp;'d!0061t!+000061' UESCAPE '!'
     </para>
    </sect3>
 
-   <sect3 id="sql-syntax-dollar-quoting">
+   <sect3 id="sql-syntax-dollar-quoting" xreflabel="Dollar-Quoted String Constants">
     <title>Dollar-Quoted String Constants</title>
 
      <indexterm>
@@ -625,7 +625,7 @@ $function$
     </para>
    </sect3>
 
-   <sect3 id="sql-syntax-bit-strings">
+   <sect3 id="sql-syntax-bit-strings" xreflabel="Bit-String Constants">
     <title>Bit-String Constants</title>
 
     <indexterm zone="sql-syntax-bit-strings">
@@ -656,7 +656,7 @@ $function$
     </para>
    </sect3>
 
-   <sect3 id="sql-syntax-constants-numeric">
+   <sect3 id="sql-syntax-constants-numeric" xreflabel="Numeric Constants">
     <title>Numeric Constants</title>
 
     <indexterm>
@@ -772,7 +772,7 @@ REAL '1.23'  -- string style
     </para>
    </sect3>
 
-   <sect3 id="sql-syntax-constants-generic">
+   <sect3 id="sql-syntax-constants-generic" xreflabel="Constants of Other Types">
     <title>Constants of Other Types</title>
 
     <indexterm>
@@ -836,7 +836,7 @@ CAST ( '<replaceable>string</replaceable>' AS <replaceable>type</replaceable> )
    </sect3>
   </sect2>
 
-  <sect2 id="sql-syntax-operators">
+  <sect2 id="sql-syntax-operators" xreflabel="Operators">
    <title>Operators</title>
 
    <indexterm zone="sql-syntax-operators">
@@ -888,7 +888,7 @@ CAST ( '<replaceable>string</replaceable>' AS <replaceable>type</replaceable> )
    </para>
   </sect2>
 
-  <sect2 id="sql-syntax-special-chars">
+  <sect2 id="sql-syntax-special-chars" xreflabel="Special Characters">
    <title>Special Characters</title>
 
   <para>
@@ -971,7 +971,7 @@ CAST ( '<replaceable>string</replaceable>' AS <replaceable>type</replaceable> )
    </para>
   </sect2>
 
-  <sect2 id="sql-syntax-comments">
+  <sect2 id="sql-syntax-comments" xreflabel="Comments">
    <title>Comments</title>
 
    <indexterm zone="sql-syntax-comments">
@@ -1007,7 +1007,7 @@ CAST ( '<replaceable>string</replaceable>' AS <replaceable>type</replaceable> )
    </para>
   </sect2>
 
-  <sect2 id="sql-precedence">
+  <sect2 id="sql-precedence" xreflabel="Operator Precedence">
    <title>Operator Precedence</title>
 
    <indexterm zone="sql-precedence">
@@ -1183,7 +1183,7 @@ SELECT 3 OPERATOR(pg_catalog.+) 4;
   </sect2>
  </sect1>
 
- <sect1 id="sql-expressions">
+ <sect1 id="sql-expressions" xreflabel="Value Expressions">
   <title>Value Expressions</title>
 
   <indexterm zone="sql-expressions">
@@ -1328,7 +1328,7 @@ SELECT 3 OPERATOR(pg_catalog.+) 4;
    the remaining options.
   </para>
 
-  <sect2 id="sql-expressions-column-refs">
+  <sect2 id="sql-expressions-column-refs" xreflabel="Column References">
    <title>Column References</title>
 
    <indexterm>
@@ -1351,7 +1351,7 @@ SELECT 3 OPERATOR(pg_catalog.+) 4;
    </para>
   </sect2>
 
-  <sect2 id="sql-expressions-parameters-positional">
+  <sect2 id="sql-expressions-parameters-positional" xreflabel="Positional Parameters">
    <title>Positional Parameters</title>
 
    <indexterm>
@@ -1391,7 +1391,7 @@ CREATE FUNCTION dept(text) RETURNS dept
    </para>
   </sect2>
 
-  <sect2 id="sql-expressions-subscripts">
+  <sect2 id="sql-expressions-subscripts" xreflabel="Subscripts">
    <title>Subscripts</title>
 
    <indexterm>
@@ -1434,7 +1434,7 @@ $1[10:42]
    </para>
   </sect2>
 
-  <sect2 id="field-selection">
+  <sect2 id="field-selection" xreflabel="Field Selection">
    <title>Field Selection</title>
 
    <indexterm>
@@ -1487,7 +1487,7 @@ $1.somecolumn
    </para>
   </sect2>
 
-  <sect2 id="sql-expressions-operator-calls">
+  <sect2 id="sql-expressions-operator-calls" xreflabel="Operator Invocations">
    <title>Operator Invocations</title>
 
    <indexterm>
@@ -1515,7 +1515,7 @@ $1.somecolumn
    </para>
   </sect2>
 
-  <sect2 id="sql-expressions-function-calls">
+  <sect2 id="sql-expressions-function-calls" xreflabel="Function Calls">
    <title>Function Calls</title>
 
    <indexterm>
@@ -1570,7 +1570,7 @@ sqrt(2)
    </note>
   </sect2>
 
-  <sect2 id="syntax-aggregates">
+  <sect2 id="syntax-aggregates" xreflabel="Aggregate Expressions">
    <title>Aggregate Expressions</title>
 
    <indexterm zone="syntax-aggregates">
@@ -1810,7 +1810,7 @@ FROM generate_series(1,10) AS s(i);
    </para>
   </sect2>
 
-  <sect2 id="syntax-window-functions">
+  <sect2 id="syntax-window-functions" xreflabel="Window Function Calls">
    <title>Window Function Calls</title>
 
    <indexterm zone="syntax-window-functions">
@@ -2079,7 +2079,7 @@ EXCLUDE NO OTHERS
    </para>
   </sect2>
 
-  <sect2 id="sql-syntax-type-casts">
+  <sect2 id="sql-syntax-type-casts" xreflabel="Type Casts">
    <title>Type Casts</title>
 
    <indexterm>
@@ -2162,7 +2162,7 @@ CAST ( <replaceable>expression</replaceable> AS <replaceable>type</replaceable>
    </note>
   </sect2>
 
-  <sect2 id="sql-syntax-collate-exprs">
+  <sect2 id="sql-syntax-collate-exprs" xreflabel="Collation Expressions">
    <title>Collation Expressions</title>
 
    <indexterm>
@@ -2223,7 +2223,7 @@ SELECT * FROM tbl WHERE (a &gt; 'foo') COLLATE "C";
    </para>
   </sect2>
 
-  <sect2 id="sql-syntax-scalar-subqueries">
+  <sect2 id="sql-syntax-scalar-subqueries" xreflabel="Scalar Subqueries">
    <title>Scalar Subqueries</title>
 
    <indexterm>
@@ -2255,7 +2255,7 @@ SELECT name, (SELECT max(pop) FROM cities WHERE cities.state = states.name)
    </para>
   </sect2>
 
-  <sect2 id="sql-syntax-array-constructors">
+  <sect2 id="sql-syntax-array-constructors" xreflabel="Array Constructors">
    <title>Array Constructors</title>
 
    <indexterm>
@@ -2393,7 +2393,7 @@ SELECT ARRAY(SELECT ARRAY[i, i*2] FROM generate_series(1,5) AS a(i));
 
   </sect2>
 
-  <sect2 id="sql-syntax-row-constructors">
+  <sect2 id="sql-syntax-row-constructors" xreflabel="Row Constructors">
    <title>Row Constructors</title>
 
    <indexterm>
@@ -2503,7 +2503,7 @@ SELECT getf1(CAST(ROW(11,'this is a test',2.5) AS myrowtype));
 
   </sect2>
 
-  <sect2 id="syntax-express-eval">
+  <sect2 id="syntax-express-eval" xreflabel="Expression Evaluation Rules">
    <title>Expression Evaluation Rules</title>
 
    <indexterm>
@@ -2613,7 +2613,7 @@ SELECT CASE WHEN min(employees) > 0
   </sect2>
  </sect1>
 
- <sect1 id="sql-syntax-calling-funcs">
+ <sect1 id="sql-syntax-calling-funcs" xreflabel="Calling Functions">
   <title>Calling Functions</title>
 
    <indexterm zone="sql-syntax-calling-funcs">
@@ -2677,7 +2677,7 @@ LANGUAGE SQL IMMUTABLE STRICT;
     more information).
    </para>
 
-   <sect2 id="sql-syntax-calling-funcs-positional">
+   <sect2 id="sql-syntax-calling-funcs-positional" xreflabel="Using Positional Notation">
     <title>Using Positional Notation</title>
 
     <indexterm>
@@ -2712,7 +2712,7 @@ SELECT concat_lower_or_upper('Hello', 'World');
     </para>
    </sect2>
 
-   <sect2 id="sql-syntax-calling-funcs-named">
+   <sect2 id="sql-syntax-calling-funcs-named" xreflabel="Using Named Notation">
     <title>Using Named Notation</title>
 
     <indexterm>
@@ -2762,7 +2762,7 @@ SELECT concat_lower_or_upper(a := 'Hello', uppercase := true, b := 'World');
     </para>
    </sect2>
 
-  <sect2 id="sql-syntax-calling-funcs-mixed">
+  <sect2 id="sql-syntax-calling-funcs-mixed" xreflabel="Using Mixed Notation">
    <title>Using Mixed Notation</title>
 
    <indexterm>
